System.Web 2.0.0.0 System.Enum

The enumeration represents the types of buttons to display for navigating between pages of content in a paginated control. This enumeration is used by the property to specify the type of navigation buttons to display in controls that use the class, such as and .

PagerButtons.NextPrevious displays Next and Previous buttons to access the next and previous pages of the paginated control.

PagerButtons.NextPreviousFirstLast displays Next and Previous buttons as well as First and Last buttons to directly access the first and last pages of the paginated control.

PagerButtons.Numeric displays numeric link buttons corresponding to the pages of the paginated control.

PagerButtons.NumericFirstLast displays numeric link buttons corresponding to the pages of the paginated control as well as First and Last buttons to directly access the first and last pages of the paginated control.

Specifies the types of buttons to display for navigating between pages of content in a paginated control.

- Field
  System.Web.UI.WebControls.PagerButtons

  A set of pagination controls consisting of Previous and Next buttons.

  2.0.0.0
- Field
  System.Web.UI.WebControls.PagerButtons

  A set of pagination controls consisting of Previous, Next, First, and Last buttons.

  2.0.0.0
- Field
  System.Web.UI.WebControls.PagerButtons

  A set of pagination controls consisting of numbered link buttons to access pages directly.

  2.0.0.0
- Field
  System.Web.UI.WebControls.PagerButtons

  A set of pagination controls consisting of numbered and First and Last link buttons.

  2.0.0.0